# $Revision: 1.10 $, $Date: 2004/11/14 17:20:07 $
Summary:	SIDPlay input plugin for X MultiMedia System
Summary(pl):	Wtyczka wejciowa dla XMMS-a odtwarzajca muzyk na "SID-a"
Name:		xmms-input-sid
Version:	0.8.0beta10
Release:	3
License:	GPL
Group:		X11/Applications/Sound
Source0:	http://tnsp.org/xs-files/xmms-sid-%{version}.tar.gz
# Source0-md5:	f4cbd537ea6731a0a7e15dafa1cbd9c0
URL:		http://www.tnsp.org/xmms-sid.php
BuildRequires:	autoconf >= 2.56
BuildRequires:	automake
BuildRequires:	gtk+-devel >= 1.2.5
BuildRequires:	libsidplay-devel
%ifnarch alpha amd64
# its static "builders" cannot be linked into shared module on some archs
BuildRequires:	libsidplay2-devel >= 2.1.0
%endif
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
# nanosid-devel - http://www.sid6581.org/NanoSID/ but no sources???
BuildRequires:	xmms-devel >= 1.2.5
Requires:	xmms-libs >= 1.2.5
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XMMS-SID is a plugin for XMMS which provides support for playing the
so-called "SID tunes", which are music from old Commodore computer
programs like games, demos, etc.

%description -l pl
XMMS-SID jest wtyczk dla XMMS-a, ktra umoliwia odtwarzanie tak
zwanej "muzyki na SID-a", tzn. muzyki ze starych programw na
Commodore - gier, dem, itp.

%prep
%setup -q -n xmms-sid-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--without-nanosid \
%ifarch alpha amd64
	--without-sidplay2
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{xmms_input_plugindir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog FAQ NEWS README THANKS TODO
%attr(755,root,root) %{xmms_input_plugindir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xmms-input-sid.spec,v $
Revision 1.10  2004/11/14 17:20:07  wolf
- rel 3

Revision 1.9  2004/10/30 10:55:53  paladine
- unification, capitalization, better desc

Revision 1.8  2004/08/22 17:13:45  qboosh
- nanosid note

Revision 1.7  2004/08/22 13:19:15  qboosh
- refresh libtool to fix build on amd64
- BR: libstdc++-devel (needed even without libsidplay2 support)

Revision 1.6  2004/08/22 12:44:57  qboosh
- disable sidplay2 on alpha and amd64 (broken by static builders)
- BR: libsidplay-devel (both libsidplays are not mutually exclusive)

Revision 1.5  2004/08/15 10:55:06  wolf
- amd64 fix
- rel 2

Revision 1.4  2004/05/24 20:26:22  qboosh
- updated md5

Revision 1.3  2004/05/24 20:21:46  kolodko
- updated to 0.8.0beta10

Revision 1.2  2004/04/14 12:21:31  gotar
- removed R: xmms (can be used with mplayer), release++

Revision 1.1  2004/02/08 00:12:10  wolf
- new
